<template>
  <button
    @click="scroll"
    v-if="scrolled"
    :class="scrolled ? 'active' : 'fadeout'"
    class="btn-scroll-to-top"
  >
    <svg
      width="1em"
      height="1em"
      viewBox="0 0 16 16"
      class="bi bi-arrow-up"
      fill="currentColor"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        fill-rule="evenodd"
        d="M8 3.5a.5.5 0 0 1 .5.5v9a.5.5 0 0 1-1 0V4a.5.5 0 0 1 .5-.5z"
      />
      <path
        fill-rule="evenodd"
        d="M7.646 2.646a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1-.708.708L8 3.707 5.354 6.354a.5.5 0 1 1-.708-.708l3-3z"
      />
    </svg>
  </button>
</template>

<script>
export default {
  data() {
    return {
      scrolled: false
    }
  },
  beforeMount() {
    window.addEventListener('scroll', this.handleScroll)
  },
  beforeDestroy() {
    window.removeEventListener('scroll', this.handleScroll)
  },
  methods: {
    handleScroll() {
      this.scrolled = window.scrollY > 500
    },
    scroll() {
      window.scroll({
        top: 0,
        left: 0,
        behavior: 'smooth'
      })
    }
  }
}
</script>

<style></style>
